using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Diagnostics;
using VIZ.Framework.Core;

namespace VIZ.Framework.UnitTest
{
    /// <summary>
    /// 3D鼠标测试
    /// </summary>
    [TestClass]
    public class Mouse3DTest
    {
        /// <summary>
        /// 平滑测试
        /// </summary>
        [TestMethod]
        public void SmoothTest()
        {
            KeepSymbolHelper helper = new KeepSymbolHelper(5, 3);
            int symbol = 0;
            symbol = helper.GetSymbol(1);
            symbol = helper.GetSymbol(2);
            symbol = helper.GetSymbol(-3);
            symbol = helper.GetSymbol(4);
            symbol = helper.GetSymbol(5);
            symbol = helper.GetSymbol(6);
            symbol = helper.GetSymbol(-7);
            symbol = helper.GetSymbol(8);
            symbol = helper.GetSymbol(9);
            symbol = helper.GetSymbol(-10);
            symbol = helper.GetSymbol(-11);
            symbol = helper.GetSymbol(-12);
            symbol = helper.GetSymbol(-13);
            symbol = helper.GetSymbol(14);
            symbol = helper.GetSymbol(-15);
            symbol = helper.GetSymbol(-16);
            symbol = helper.GetSymbol(-17);

            Assert.IsTrue(symbol > 0);
        }
    }
}
